#ifndef SHIFT_DIALOG_INCLUDED
#define SHIFT_DIALOG_INCLUDED

#include <windows.h>

#include "plugin.hpp"

class ShiftDialog
{
public:
	ShiftDialog(const char* label0,
		const char* label1, LONGLONG init1,
		const char* label2, LONGLONG init2,
		LONGLONG mediaTime,
		const char* help);
	bool execute();
	LONGLONG shift() const
	{
		return shift_;
	}
private:
	static const char* label0_;
	static const char* label1_;
	static const char* label2_;
	static const char* help_;
	static LONGLONG init1_, init2_, mediaTime_, shift_;
	static long WINAPI dialogProc(HANDLE hDlg, int Msg, int Param1, long Param2);

	static void shiftChanged(HANDLE hDlg, const FarDialogItem& item);
	static void time1Changed(HANDLE hDlg, const FarDialogItem& item);
	static void time2Changed(HANDLE hDlg, const FarDialogItem& item);

	static void originalClick(HANDLE hDlg);
	static void  currentClick(HANDLE hDlg);
};

#endif
